package com.flossom.common.core.domain.entity;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 仪器关联文件信息对象 wx_instrument_file_relate
 *
 * @author flossom
 * @date 2024-01-10
 */
public class WxInstrumentFileRelate extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 分类（1、初次护理、2、仪器介绍规则）
     */
    @Excel(name = "分类", readConverterExp = "1=、初次护理、2、仪器介绍规则")
    private Integer classify;

    /**
     * 仪器id
     */
    @Excel(name = "仪器id")
    private Long instrumentId;

    /**
     * 文件地址
     */
    @Excel(name = "文件地址")
    private String file;

    /**
     * 文件类型
     */
    @Excel(name = "文件类型")
    private String fileType;

    /**
     * 内容
     */
    @Excel(name = "内容")
    private String message;

    /**
     * 状态（0正常 1停用）
     */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Long status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setClassify(Integer classify) {
        this.classify = classify;
    }

    public Integer getClassify() {
        return classify;
    }

    public void setInstrumentId(Long instrumentId) {
        this.instrumentId = instrumentId;
    }

    public Long getInstrumentId() {
        return instrumentId;
    }

    public void setFile(String file) {
        this.file = file;
    }

    public String getFile() {
        return file;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getFileType() {
        return fileType;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getMessage() {
        return message;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("classify", getClassify())
                .append("instrumentId", getInstrumentId())
                .append("file", getFile())
                .append("fileType", getFileType())
                .append("message", getMessage())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .toString();
    }
}
